{
    "Kit" : [
        { "Menu" : "Session (&1)" },
        { "Menu" : "Edit (&2)" },
        { "Menu" : "Search (&3)" },
        { "Menu" : "Selection (&4)" },
        { "Menu" : "Goto (&5)" },
        { "Menu" : "View (&6)" },
        { "Menu" : "Mode (&7)" },
        { "Menu" : "Window (&8)" },
        { "Menu" : "Help (&0)" }
    ],
    "Dock" : [
        { "Action" : "Window.SplitDock" },
        { "Action" : "Window.ToggleDockFloating" },
        { "Separator" : true },
        { "Action" : "Window.TogglePaneSender" },
        { "Action" : "Window.TogglePaneOutline" },
        { "Action" : "Window.TogglePaneSession" }
    ],
    "Kit Terminal" : [
        { "Action" : "Terminal.NewSession" },
        { "Separator" : true }
    ],
    "Open Recent" : [
        { "Action" : "Window.ReopenClosedView" },
        { "Separator" : true },
        { "Action" : "Window.RecentUrls" },
        { "Separator" : true },
        { "Action" : "Window.ClearRecentUrls" }
    ],
    "Navigation List" : [
        { "Action" : "Window.NavigationList" }
    ],
    "Session Popup": [
        { "Action" : "Session.OpenSelectedSessions" },
        { "Separator" : true },
        { "Action" : "Session.DuplicateSelectedSessions" },
        { "Action" : "Session.RemoveSelectedSessions" },
        { "Separator" : true },
        { "Menu" : "&Import", "Actions" : [
            { "Action" : "Session.ImportPuttySessions" },
            { "Action" : "Session.ImportShellSessions" }
        ]},
        { "Separator" : true },
        { "Action" : "Session.SelectedSessionProperty" }
    ],
    "View Popup" : [
        { "Action" : "Text.Copy" },
        { "Action" : "Terminal.CopyAndPaste" },
        { "Action" : "Text.Paste" },
        { "Separator" : true },
        { "Action" : "Terminal.ClearScrollback" },
        { "Separator" : true },
        { "Menu" : "Se&lect", "Actions" : [
            { "Action" : "Text.SelectAll" },
            { "Action" : "Text.SelectLine" },
            { "Action" : "Text.SelectWord" }
        ]}
    ],
    "View Shift Popup" : [
    ],
    "View Ctrl Popup" : [
        { "Action" : "Text.Copy" },
        { "Action" : "Text.Paste" },
        { "Action" : "Terminal.CopyAndPaste" }
    ],
    "View Alt Popup" : [
    ],
    "View Meta Popup" : [
    ],
    "ViewTab Popup" : [
        { "Action" : "Window.RenameView" },
        { "Separator" : true },
        { "Action" : "Terminal.CopySessionName" },
        { "Action" : "Terminal.CopySessionUrl" },
        { "Separator" : true },
        { "Action" : "Terminal.ReconnectSession" },
        { "Action" : "Terminal.Save" },
        { "Separator" : true },
        { "Action" : "Window.DuplicateView" },
   		{ "Action" : "Window.SplitViewHorizontally" },
		{ "Action" : "Window.SplitViewVertically" },
        { "Separator" : true },
        { "Action" : "Window.CloseActiveView" },
        { "Action" : "Window.CloseAllViews" },
        { "Action" : "Window.CloseAllViewsButActive" },
        { "Separator" : true },
        { "Action" : "Window.ReopenClosedView" }
    ],
    "Session" : [
        { "Action" : "Terminal.NewSession" },
        { "Action" : "Application.NewWindow" },
        { "Separator" : true },
        { "Action" : "Terminal.DisconnectSession" },
        { "Action" : "Terminal.ReconnectSession" },
        { "Separator" : true },
        { "Menu" : "Open Rece&nt"},
        { "Separator" : true },
        { "Action" : "Terminal.Save" },
        { "Action" : "Terminal.SaveSelectionAs" },
        { "Separator" : true },
        { "Action" : "Window.Properties" },
        { "Separator" : true },
        { "Action" : "Window.CloseActiveView" },
        { "Action" : "Window.CloseAllViews" },
        { "Action" : "Window.Close" },
        { "Separator" : true },
        { "Action" : "Application.Exit" }
    ],
    "Edit" : [
        { "Action" : "Text.Copy" },
        { "Action" : "Terminal.CopyAndPaste" },
        { "Action" : "Text.Paste" },
        { "Separator" : true },
        { "Action" : "Terminal.CopySessionName" },
        { "Action" : "Terminal.CopySessionUrl" }
    ],
    "Search" : [
        { "Action" : "Window.ShowPaneFind" },
        { "Separator" : true },
        { "Action" : "Text.FindNext" },
        { "Action" : "Text.FindPrevious" },
        { "Action" : "Text.FindNextSelection" },
        { "Action" : "Text.FindPreviousSelection" }
    ],
    "Selection" : [
        { "Menu" : "&Select", "Actions" : [
            { "Action" : "Text.SelectAll" },
            { "Separator" : true },
            { "Action" : "Text.SelectWord" },
            { "Action" : "Text.SelectLine" },
            { "Action" : "Text.SelectParagraph" },
            { "Separator" : true },
            { "Action" : "Text.SelectFold" },
            { "Action" : "Text.SelectScope" },
            { "Action" : "Text.SelectIndentation" }
        ]},
        { "Menu" : "Select &To", "Actions" : [
            { "Action" : "Text.SelectToPreviousChar" },
            { "Action" : "Text.SelectToPreviousWordStart" },
            { "Action" : "Text.SelectToPreviousWordEnd" },
            { "Action" : "Text.SelectToPreviousWordPart" },
            { "Action" : "Text.SelectToPreviousLine" },
            { "Action" : "Text.SelectToPreviousPage" },
            { "Action" : "Text.SelectToPreviousStutteredPage" },
            { "Action" : "Text.SelectToPreviousParagraph" },
            { "Action" : "Text.SelectToPreviousFold" },
            { "Action" : "Text.SelectToPreviousScope" },
            { "Action" : "Text.SelectToPreviousStutteredPage" },
            { "Action" : "Text.SelectToPreviousIndentation" },
            { "Separator" : true },
            { "Action" : "Text.SelectToNextChar" },
            { "Action" : "Text.SelectToNextWordStart" },
            { "Action" : "Text.SelectToNextWordEnd" },
            { "Action" : "Text.SelectToNextWordPart" },
            { "Action" : "Text.SelectToNextLine" },
            { "Action" : "Text.SelectToNextPage" },
            { "Action" : "Text.SelectToNextStutteredPage" },
            { "Action" : "Text.SelectToNextParagraph" },
            { "Action" : "Text.SelectToNextFold" },
            { "Action" : "Text.SelectToNextScope" },
            { "Action" : "Text.SelectToNextStutteredPage" },
            { "Action" : "Text.SelectToNextIndentation" },
            { "Separator" : true },
            { "Action" : "Text.SelectToLineHome" },
            { "Action" : "Text.SelectToDocumentStart" },
            { "Separator" : true },
            { "Action" : "Text.SelectToLineEnd" },
            { "Action" : "Text.SelectToDocumentEnd" }
        ]},
        { "Menu" : "Select &Column To", "Actions" : [
            { "Action" : "Text.SelectColumnToPreviousChar" },
            { "Action" : "Text.SelectColumnToPreviousLine" },
            { "Action" : "Text.SelectColumnToPreviousStutteredPage" },
            { "Action" : "Text.SelectColumnToPreviousParagraph" },
            { "Separator" : true },
            { "Action" : "Text.SelectColumnToNextChar" },
            { "Action" : "Text.SelectColumnToNextLine" },
            { "Action" : "Text.SelectColumnToNextStutteredPage" },
            { "Action" : "Text.SelectColumnToNextParagraph" },
            { "Separator" : true },
            { "Action" : "Text.SelectColumnToLineHome" },
            { "Action" : "Text.SelectColumnToLineEnd" }
        ]},
        { "Separator" : true },
        { "Action" : "Text.ActivateNextSelection" },
        { "Action" : "Text.ActivatePreviousSelection" },
        { "Separator" : true },
        { "Action" : "Text.LockSelection" },
        { "Action" : "Text.DropSelection" },
        { "Action" : "Text.CancelSelection" },
        { "Separator" : true },
        { "Action" : "Text.SplitSelection" },
        { "Action" : "Text.InvertSelection" },
        { "Action" : "Text.SwitchStreamColumn" },
        { "Action" : "Text.ExchangeCaretAnchor" }
    ],
    "Goto" : [
        { "Action" : "Window.GotoAddressBar" },
        { "Separator" : true },
        { "Action" : "Window.GotoSession" },
        { "Action" : "Window.GotoLine" },
        { "Action" : "Window.GotoSymbol" },
        { "Separator" : true },
        { "Action" : "Text.MoveToPreviousChar" },
        { "Action" : "Text.MoveToNextChar" },
        { "Action" : "Text.MoveToPreviousLine" },
        { "Action" : "Text.MoveToNextLine" },
        { "Separator" : true },
        { "Menu" : "&Word", "Actions" : [
            { "Action" : "Text.MoveToPreviousWordStart" },
            { "Action" : "Text.MoveToPreviousWordEnd" },
            { "Action" : "Text.MoveToPreviousWordPart" },
            { "Separator" : true },
            { "Action" : "Text.MoveToNextWordStart" },
            { "Action" : "Text.MoveToNextWordEnd" },
            { "Action" : "Text.MoveToNextWordPart" }
        ]},
        { "Menu" : "&Page", "Actions" : [
            { "Action" : "Text.MoveToPreviousPage" },
            { "Action" : "Text.MoveToNextPage" },
            { "Separator" : true },
            { "Action" : "Text.MoveToPreviousStutteredPage" },
            { "Action" : "Text.MoveToNextStutteredPage" }
        ]},
        { "Menu" : "&Paragraph", "Actions" : [
            { "Action" : "Text.MoveToPreviousParagraph" },
            { "Action" : "Text.MoveToNextParagraph" }
        ]},
        { "Menu" : "&Fold", "Actions" : [
            { "Action" : "Text.MoveToPreviousFold" },
            { "Action" : "Text.MoveToNextFold" }
        ]},
        { "Menu" : "&Scope", "Actions" : [
            { "Action" : "Text.MoveToPreviousScope" },
            { "Action" : "Text.MoveToNextScope" }
        ]},
        { "Menu" : "&Indentation", "Actions" : [
            { "Action" : "Text.MoveToPreviousIndentation" },
            { "Action" : "Text.MoveToNextIndentation" }
        ]},
        { "Separator" : true },
        { "Menu" : "&Line", "Actions" : [
            { "Action" : "Text.MoveToLineHome" },
            { "Action" : "Text.MoveToLineEnd" }
        ]},
        { "Menu" : "&Document", "Actions" : [
            { "Action" : "Text.MoveToDocumentStart" },
            { "Action" : "Text.MoveToDocumentEnd" }
        ]}
    ],
    "View" : [
        { "Action" : "Window.ShowPaletteAnything" },
        { "Action" : "Window.ShowPaletteCommand" },
        { "Separator" : true },
		{ "Menu" : "Hex &Base", "Actions" : [
			{ "Action" : "Text.HexBaseBinary" },
			{ "Action" : "Text.HexBaseSeptenary" },
			{ "Action" : "Text.HexBaseOctal" },
			{ "Action" : "Text.HexBaseDecimal" },
			{ "Action" : "Text.HexBaseHexadecimal" }
		]},
		{ "Menu" : "Hex &Columns", "Actions" : [
			{ "Action" : "Text.HexShow8Columns" },
			{ "Action" : "Text.HexShow16Columns" },
			{ "Action" : "Text.HexShow24Columns" },
			{ "Action" : "Text.HexShow32Columns" }
		]},
		{ "Menu" : "Hex &Group Chars", "Actions" : [
			{ "Action" : "Text.HexGroupChar" },
			{ "Action" : "Text.HexGroupWord" },
			{ "Action" : "Text.HexGroupDoubleWord" },
			{ "Action" : "Text.HexGroupQuadWord" }
		]},
		{ "Separator" : true },
        { "Menu" : "&Toolbar", "Actions" : [
            { "Action" : "Window.ToolbarList" }
        ]},
        { "Action" : "Window.ToggleMenuBar" },
        { "Action" : "Window.ToggleStatusBar" },
        { "Separator" : true },
        { "Menu" : "C&olor Themes", "Actions" : [
            { "Action" : "Application.ThemeList" }
        ]},
        { "Menu" : "S&yntax Schemes", "Actions" : [
            { "Action" : "Terminal.SchemeList" }
        ]},
        { "Separator" : true },
        { "Action" : "Text.ToggleCaretLineHighlight" },
        { "Separator" : true },
        { "Menu" : "&Margin", "Actions" : [
            { "Action" : "Text.ToggleMarginBlank" },
            { "Action" : "Text.ToggleMarginNumber" },
            { "Action" : "Text.ToggleMarginFold" },
            { "Action" : "Text.ToggleMarginSymbol" },
            { "Action" : "Text.ToggleMarginTimestamp" }
        ]},
        { "Menu" : "&Symbol", "Actions" : [
            { "Action" : "Text.ToggleLineEnding" },
            { "Separator" : true },
            { "Action" : "Text.ToggleIndentGuide" },
            { "Action" : "Text.ToggleWrapSymbol" }
        ]},
        { "Menu" : "&White Space", "Actions" : [
            { "Action" : "Text.HideWhiteSpace" },
            { "Separator" : true },
            { "Action" : "Text.ShowWhiteSpaceAll" },
            { "Action" : "Text.ShowWhiteSpaceInSelection" },
            { "Action" : "Text.ShowWhiteSpaceInLineStart" },
            { "Action" : "Text.ShowWhiteSpaceInLineEnd" }
        ]},
        { "Separator" : true },
        { "Menu" : "&Folds", "Actions" : [
            { "Action" : "Text.Fold" },
            { "Action" : "Text.Unfold" },
            { "Separator" : true },
            { "Action" : "Text.FoldInside" },
            { "Action" : "Text.UnfoldInside" },
            { "Separator" : true },
            { "Action" : "Text.FoldAll" },
            { "Action" : "Text.UnfoldAll" }
        ]},
        { "Separator" : true },
        { "Menu" : "&Zoom", "Actions" : [
            { "Action" : "Text.ZoomIn" },
            { "Action" : "Text.ZoomOut" },
            { "Separator" : true },
            { "Action" : "Text.ResetZoom" }
        ]}
    ],
    "Mode" : [
        { "Action" : "Window.SetRemoteMode" },
        { "Action" : "Window.SetLocalMode" },
        { "Separator" : true },
        { "Action" : "Text.ToggleHexEdit" },
        { "Separator" : true },
        { "Action" : "Text.ToggleWordWrap" },
        { "Action" : "Text.ToggleVirtualSpace" },
        { "Action" : "Text.ToggleMultipleCaret" },
        { "Separator" : true },
        { "Action" : "Window.ToggleFullScreen" }
    ],
    "Window" : [
        { "Action" : "Window.SplitViewHorizontally" },
        { "Action" : "Window.SplitViewVertically" },
        { "Separator" : true },
        { "Action" : "Window.SplitGroupHorizontally" },
        { "Action" : "Window.SplitGroupVertically" },
        { "Action" : "Window.CloseActiveGroup" },
        { "Separator" : true },
        { "Action" : "Window.ActivateNextView" },
        { "Action" : "Window.ActivatePreviousView" },
        { "Separator" : true },
        { "Action" : "Window.WindowManager" },
        { "Separator" : true },
        { "Action" : "Window.WindowList" }
    ],
    "Help" : [
        { "Action" : "Help.Help" },
        { "Action" : "Help.About" }
    ]
}
